<?php

?>
<?php

/**
 * Registers various actions that can be executed when in add or edit mode
 *
 * Needed by Magento
 */
class CloudCoders_NetSuite_Block_Adminhtml_History_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{

    public function __construct()
    {
        parent::__construct();

        $this->_objectId = 'id';
        $this->_blockGroup = 'netsuite';
        $this->_controller = 'adminhtml_history';

        $this->_updateButton('delete', 'label', Mage::helper('netsuite')->__('Delete History'));
        $this->_removeButton('save');
        $this->_removeButton('reset');
    }

    /**
     * Add a custom page title header
     * @return string
     */
    public function getHeaderText()
    {

        return Mage::helper('netsuite')->__('History');
    }

}