<?php

?>
<?php

/**
 * A helper class use to return a set amount of feature products
 *
 */
class CloudCoders_NetSuite_Helper_Featureproducts extends Mage_Core_Helper_Abstract
{

    /**
     * Returns feature products
     *
     * @param int $limit maximun number of product to return
     *
     * @return object Magento Collection object
     */
    public function getFeatureProducts($limit = 3)
    {
        $productIds = $productCollection = Mage::getResourceModel('catalog/product_collection')
                ->addFieldToFilter('cc_feature_product', true)
                ->setOrder('updated_at', 'desc');

        foreach ($productIds as $curProduct) {

            if ($limit < 0) {
                break;
            }
            $products[] = Mage::getModel('Mage_Catalog_Model_Product')->load($curProduct->getId());
            $limit--;
        }

        return $products;
    }

}