<?php

?>
<?php

/**
 * Logs messages to session or database
 */
class CloudCoders_NetSuite_Model_Log extends Mage_Core_Model_Abstract
{

    const DEBUG_TO_SESSION = true;
    const DEBUG_TO_LOG = false;

    protected function _construct()
    {
        $this->_init('netsuite/log');
    }

    /**
     * Stores debug message either to session or database
     *
     * @param string $pMessage
     */
    public function debug_message($pMessage)
    {
        if (self::DEBUG_TO_SESSION) {
            Mage::getSingleton('core/session')->addNotice($pMessage);
        }
        if (self::DEBUG_TO_LOG) {
            Mage::log($pMessage);
        }
    }

}