<?php

?>
<?php

/**
 * Status model
 *
 * Returns the current state for the module
 */
class CloudCoders_NetSuite_Model_Status extends Varien_Object
{

    const STATUS_ENABLED = 1;
    const STATUS_DISABLED = 2;

    /**
     * Returns a readable status array
     *
     * @return array
     */
    static public function getOptionArray()
    {
        return array(
            self::STATUS_ENABLED => Mage::helper('netsuite')->__('Enabled'),
            self::STATUS_DISABLED => Mage::helper('netsuite')->__('Disabled')
        );
    }

}