<?php

?>
<?php

/**
 * Simple product end point controler
 *
 * This controller can be use ase a non authenticated
 * end point for the Rest API.
 *
 */
class CloudCoders_NetSuite_SimpleproductController extends Mage_Core_Controller_front_Action
{

    /**
     * Handles REST actions
     */
    public function apiAction()
    {

        $method = $this->getRequest()->getMethod();
        $result = array();
        switch ($method) {
            case 'POST':
                $data = json_decode($this->getRequest()->getPost('data'), true);
                $data['end_point'] = 'product';
                $AicProduct = Mage::getModel('netsuite/simpleproduct');
                $result = $AicProduct->addToQueue($method, $data);

                break;
            case 'GET':
                $AicProduct = Mage::getModel('netsuite/simpleproduct');
                try {
                    $AicProduct->processQueue();
                } catch (Exception $e) {
                    echo $e->getMessage();
                    die;
                }
                break;
            case 'DELETE':
                $data = $this->getRequest()->getParams();
                $data['end_point'] = 'product';
                $AicProduct = Mage::getModel('netsuite/simpleproduct');
                $result = $AicProduct->addToQueue($method, $data);
                break;
        }

        $result['status'] = 'completed';
        print json_encode($result);
    }

}