<?php

?>
<?php

/**
 * Creates a history table that will be
 * use for recording past sync logs
 */
$installer = $this;
$sql = "DROP TABLE IF EXISTS `{$installer->getTable(netsuite_sync_history)}`;
CREATE TABLE `{$installer->getTable(netsuite_sync_history)}` (
  `history_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `netsuite_id` varchar(255) NOT NULL,
  `magento_id` varchar(255) NOT NULL,
  `sync_direction` varchar(255) NOT NULL,
  `entity_type` varchar(255) NOT NULL,
  `sync_datetime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `sync_data` longtext,
  `sync_message` longtext,
  PRIMARY KEY (`history_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;";



$installer->startSetup();

$installer->run($sql);

$installer->endSetup();