<?php

?>
<?php

/**
 * Retrives the date and time the job was added to the queue and
 * render it in the admin grid
 *
 */
class CloudCoders_NetSuite_Block_Adminhtml_Renderer_Queuejob_JobAddedTime extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Abstract
{

    public function _getValue(Varien_Object $row)
    {

        $data = json_decode(parent::_getValue($row), true);
       
        $addedTime = (isset($data['job_added_time'])) ? $data['job_added_time'] : false;
        if (!$addedTime) {
            return 'Unknown';
        } else {
            return date('r', $addedTime);
        }
    }

}