<?php

?>
<?php
/**
 * RESTFul API for the bulk import feature
 */
class CloudCoders_NetSuite_Model_Api2_BulkImport_Rest_Admin_V1 extends CloudCoders_NetSuite_Model_Api2_Pmodel
{

    public function _create($requestData)
    {
        $this->addQueueJob($requestData);
        return '/'; // Prevents magento REST API from sending 403 header
    }

    public function _update($requestData)
    {
        $this->addQueueJob($requestData);
        return '/'; // Prevents magento REST API from sending 403 header
    }
    
    /**
     * Adds an item from the bulk list to the job queue
     * @param type $requestData
     */
    private function addQueueJob($requestData)
    {
 
        if (isset($requestData['bulk_data'])) {
            $items = $requestData['bulk_data'];
            foreach ($items as $currentItem) {
                $currentItem['end_point'] ='bulkimport';
                $SimpleProductQueue = Mage::getModel('netsuite/queue');
                $SimpleProductQueue->addJobFromNetsuite('POST', $currentItem);
            }
        }
    }

}