<?php

?>
<?php

/**
 * Creates a new Magento product from a bulk import item
 *
 */
class CloudCoders_NetSuite_Model_BulkImport extends Mage_Core_Model_Abstract
{

    /**
     * Creates the Magento Product
     * 
     * @param array $productNetsuteData Item Netsuite date
     */
    public function createProduct($productNetsuteData = array())
    {
    
        if (isset($productNetsuteData['item_netsuite_id']) && $productNetsuteData['item_netsuite_id']) {
           
            $SimpleProductModel = Mage::getModel('netsuite/simpleproduct');
            $SimpleProductModel->setItemNetsuiteData($productNetsuteData);
            $SimpleProductModel->setIsBulkImport(true);
            $SimpleProductModel->addProduct($productNetsuteData);
        }
    }

}