<?php

?>
<?php

/**
 * Cleanup Table Model
 */
class CloudCoders_NetSuite_Model_Cleanup extends Mage_Core_Model_Abstract
{

    public function _construct()
    {
        parent::_construct();
        $this->_init('netsuite/cleanup');
    }

    /**
     * Cleans the history records
     */
    public function cleanHistory()
    {
        set_time_limit(0);
        $HistoryCollection = Mage::getModel('netsuite/history')->getCollection();
        foreach ($HistoryCollection as $CurrentHistory) {
            $CurrentHistory->delete();
        }
        
        // Clean up Images
        $collection = $this->getCollection();
        foreach($collection as $CurrentImage)
        {
            $filename = 'media/catalog/product' . $CurrentImage->getFilename();
            if(file_exists($filename)){
                 @unlink($filename);
            }   
            $CurrentImage->delete();
        }
    }

}