<?php

?>
<?php

/**
 * Interface specification for a class that may be use as
 * the sales order base class
 *
 */
interface IOrder
{

    /**
     * Must update the Magento Sales Order Comment with the specified message
     *
     */
    public function updateOrderComment($message, $notifyCustomer = false);

    /**
     * Must return the order data as a JSON string
     */
    public function toJson();

    /**
     * Must return the order data as an array
     */
    public function toArray();
}