<?php

?>
<?php

/**
 * Creates the sync log table
 */
$installer = $this;
$installer->startSetup();

$installer->run("
	CREATE TABLE `{$installer->getTable('netsuite_log')}` (
		`log_id` int(11) NOT NULL auto_increment,
		`type_id` smallint(5) NOT NULL,
		`entity_id` int(10) NOT NULL,
		`type` varchar(20) NOT NULL,
		`actual_message` TEXT NOT NULL,
		`success_flag` boolean NOT NULL default 0,
		`warning_message` TEXT NOT NULL default '',
		`error_message` TEXT NOT NULL default '',
		`timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
		PRIMARY KEY (`log_id`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8;
");
$installer->endSetup();