<?php

?>
<?php

/**
 * Adds a new attribute, Featured Product, to the product entity
 */
$installer = $this;
$installer->startSetup();
$setup = new Mage_Eav_Model_Entity_Setup('core_setup');

$setup->addAttribute('catalog_product', 'cc_feature_product', array(
    'group' => 'General',
    'type' => 'int',
    'backend' => '',
    'frontend' => '',
    'label' => 'Featured Product?',
    'input' => 'boolean',
    'source' => 'eav/entity_attribute_source_table',
    'global' => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_GLOBAL,
    'visible' => true,
    'required' => false,
    'user_defined' => true,
    'default' => '',
    'searchable' => false,
    'filterable' => true,
    'comparable' => false,
    'visible_on_front' => true,
    'visible_in_advanced_search' => true,
    'used_in_product_listing' => true,
    'unique' => false,
    'apply_to' => 'simple',
));

$installer->run("
	DROP TABLE IF EXISTS `netsuite_simpleproduct_job_queue`;
CREATE TABLE IF NOT EXISTS `netsuite_simpleproduct_job_queue` (
  `job_id` bigint(20) NOT NULL DEFAULT '0',
  `job_item_remote_id` bigint(20) NOT NULL,
  `job_data` text NOT NULL,
  `job_task` text NOT NULL,
  `job_status` tinyint(4) NOT NULL,
  `job_request` tinyint(4) NOT NULL,
  PRIMARY KEY (`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
");


$installer->endSetup();